# Uses of Class
com.sun.tools.attach.VirtualMachine

Packages that use VirtualMachine
Package
Description
com.sun.tools.attach
Provides the API to attach to a Java virtual machine.
com.sun.tools.attach.spi
Only developers who are defining new attach providers should need to make direct use of this package.

## Uses of VirtualMachine in com.sun.tools.attach

Methods in com.sun.tools.attach that return VirtualMachine
Modifier and Type
Method
Description
`static VirtualMachine`
VirtualMachine.`attach(VirtualMachineDescriptor vmd)`
Attaches to a Java virtual machine.
`static VirtualMachine`
VirtualMachine.`attach(String id)`
Attaches to a Java virtual machine.

## Uses of VirtualMachine in com.sun.tools.attach.spi

Methods in com.sun.tools.attach.spi that return VirtualMachine
Modifier and Type
Method
Description
`VirtualMachine`
AttachProvider.`attachVirtualMachine(VirtualMachineDescriptor vmd)`
Attaches to a Java virtual machine.
`abstract VirtualMachine`
AttachProvider.`attachVirtualMachine(String id)`
Attaches to a Java virtual machine.